org.jboss.resteasy.core

## Class StringParameterInjector

- java.lang.Object
- - org.jboss.resteasy.core.StringParameterInjector

- Direct Known Subclasses:
    CookieParamInjector, FormParamInjector, HeaderParamInjector, MatrixParamInjector, QueryParamInjector

      public class StringParameterInjector
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Type` | `baseGenericType`
    `protected Class` | `baseType`
    `protected Class<? extends Collection>` | `collectionType`
    `protected Constructor` | `constructor`
    `protected StringConverter` | `converter`
    `protected String` | `defaultValue`
    `protected RuntimeDelegate.HeaderDelegate` | `delegate`
    `protected boolean` | `isCollection`
    `protected ParamConverter` | `paramConverter`
    `protected String` | `paramName`
    `protected Class` | `paramType`
    `protected AccessibleObject` | `target`
    `protected Class` | `type`
    `protected StringParameterUnmarshaller` | `unmarshaller`
    `protected Method` | `valueOf`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StringParameterInjector()`
    `StringParameterInjector(Class type, Type genericType, String paramName, Class paramType, String defaultValue, AccessibleObject target, Annotation[] annotations, ResteasyProviderFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `extractValue(String strVal)`
    `Object` | `extractValues(List<String> values)`
    `String` | `getParamSignature()`
    `protected void` | `initialize(Class type, Type genericType, String paramName, Class paramType, String defaultValue, AccessibleObject target, Annotation[] annotations, ResteasyProviderFactory factory)`
    `boolean` | `isCollectionOrArray()`
    `protected void` | `throwProcessingException(String message, Throwable cause)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          protected Class type

    - #### baseType

          protected Class baseType

    - #### baseGenericType

          protected Type baseGenericType

    - #### constructor

          protected Constructor constructor

    - #### valueOf

          protected Method valueOf

    - #### defaultValue

          protected String defaultValue

    - #### paramName

          protected String paramName

    - #### paramType

          protected Class paramType

    - #### isCollection

          protected boolean isCollection

    - #### collectionType

          protected Class<? extends Collection> collectionType

    - #### target

          protected AccessibleObject target

    - #### paramConverter

          protected ParamConverter paramConverter

    - #### converter

          protected StringConverter converter

    - #### unmarshaller

          protected StringParameterUnmarshaller unmarshaller

    - #### delegate

          protected RuntimeDelegate.HeaderDelegate delegate

  - ### Constructor Detail

    - #### StringParameterInjector

          public StringParameterInjector()

    - #### StringParameterInjector

          public StringParameterInjector(Class type,
                                 Type genericType,
                                 String paramName,
                                 Class paramType,
                                 String defaultValue,
                                 AccessibleObject target,
                                 Annotation[] annotations,
                                 ResteasyProviderFactory factory)

  - ### Method Detail

    - #### isCollectionOrArray

          public boolean isCollectionOrArray()

    - #### initialize

          protected void initialize(Class type,
                        Type genericType,
                        String paramName,
                        Class paramType,
                        String defaultValue,
                        AccessibleObject target,
                        Annotation[] annotations,
                        ResteasyProviderFactory factory)

    - #### getParamSignature

          public String getParamSignature()

    - #### extractValues

          public Object extractValues(List<String> values)

    - #### extractValue

          public Object extractValue(String strVal)

    - #### throwProcessingException

          protected void throwProcessingException(String message,
                                      Throwable cause)

Copyright © 2014. All Rights Reserved.